#!/usr/bin/python
# -*- coding: utf-8 -*-

import os
import time
import array

from ... import ftdi

from .apg7400abase import APG7400ABase
from .config import config
from .status import status
from .histogram import Histogram
from .listdata import ListData


#########################################################
class APG7400A(APG7400ABase):

	#########################################################
	@staticmethod
	def OpenDeviceByIndex(index):
		object0 = APG7400A()
		result = object0.OpenByIndex(index)

		if object0.isSuccess(result) == True:
			object0.GetDeviceInfoList()
		else:
			object0 = None

		return object0

	#########################################################
	@staticmethod
	def OpenDeviceBySerialNumber(serialnumber):
		object0 = APG7400A()
		result = object0.OpenBySerialNumber(serialnumber)

		if object0.isSuccess(result) == True:
			object0.GetDeviceInfoList()
		else:
			object0 = None

		return object0

	#########################################################
	def __init__(self):
		super(APG7400A, self).__init__()
		self.__initializing()

	#########################################################
	def __initializing(self, parentRun = False):
		if parentRun == True:
			super(APG7400A, self)._APG7400ABase_initializing()

	#########################################################
	def createConfigObject(self):
		return config(self)

	#########################################################
	def createStatusObject(self):
		return status(self)

	#########################################################
	def createHistogramObject(self):
		return Histogram(self)

	#########################################################
	def createListdataObject(self):
		return ListData(self)

#########################################################
def startup():
	result = APG7400A.SetProductID()
	return result

#########################################################
def cleanup():
	result = APG7400ABase.ResetProductID()
	return result
