#!/usr/bin/python
# -*- coding: utf-8 -*-

##############################################################
APG7400A_VENDORID  = 0x1ca6		#vendor  ID
APG7400A_PRODUCTID = 0x0001		#product ID

##############################################################
CHNUM_CHN = -1	#CH config
CHNUM_CMN = 0	#common
CHNUM_1ST = 1	#CH1
CHNUM_2ND = 2	#CH2
CHNUM_3RD = 3	#CH3
CHNUM_4TH = 4	#CH4

CHNUM_MIN = CHNUM_1ST	#min value
CHNUM_MAX = CHNUM_4TH	#max value
CHNUM_CNT = CHNUM_MAX - CHNUM_MIN + 1

##############################################################
HIST_READBLOCK = 32
HIST_READBLOCKBYTES = 2048
HIST_MAXREADBYTES = HIST_READBLOCK * HIST_READBLOCKBYTES
HIST_BLOCKPERBINS = HIST_READBLOCKBYTES / 4

LIST_BLOCKBYTES = 8


##############################################################
##### config parameter #######################################
##############################################################

#### Common ##################################################
##### PDS: peek detector mode #####
PARAM_PDS_ABS  = 0		#absolution
PARAM_PDS_FAST = 1		#fast

#### CH Unit #################################################
##### MOD: Mode(measurement) #####
PARAM_MOD_HIST = 0	#histogram
PARAM_MOD_LIST = 1	#list

##### MMD: Mode(time) #####
PARAM_MMD_REALTIME = 0	#real time
PARAM_MMD_LIVETIME = 1	#live time


##############################################################
##### ADG: ADG gain #####
PARAM_ADG_16K = 0	#16384 bin
PARAM_ADG_08K = 1	# 8192 bin
PARAM_ADG_04K = 2	# 4096 bin
PARAM_ADG_02K = 3	# 2048 bin
PARAM_ADG_01K = 4	# 1024 bin
PARAM_ADG_512 = 5	#  512 bin

def PARAM_ADG_TOBINS(code):
	if PARAM_ADG_16K <= code and code <= PARAM_ADG_512:
		bins = int(2 ** (9 + (PARAM_ADG_512 - code)))
	else:
		bins = 0
	return bins



