#!/usr/bin/python
# -*- coding: utf-8 -*-

import array

from ... import num
from . import constant
from .common import common


class ListInfo(object):

	#####################################################################
	def __init__(self, data = None):
		self.__initializing()

		if data is not None:
			self.adjusting(data)

	#####################################################################
	def __initializing(self):
		self.mAbsoluteTime = 0
		self.mAbsoluteNanoseconds = 0
		self.mAbsoluteMilliseconds = 0.0
		self.mAbsoluteSeconds = 0.0
		self.mChannel = 0
		self.mPulseHeightAnalyzer = 0

	#####################################################################
	def adjusting(self, data):
		self.__initializing()

		value = num.bitconverter.toIntU64(data)
		value = num.byteorder.ntoh64(value)

		self.mAbsoluteTime = (value >> 16) & 0x00ffffffff
		self.mAbsoluteNanoseconds = common.convertTimeDigitToNanoseconds(self.mAbsoluteTime)
		self.mAbsoluteMilliseconds = self.mAbsoluteNanoseconds / 1000000.0
		self.mAbsoluteSeconds = self.mAbsoluteMilliseconds / 1000.0
		self.mPulseHeightAnalyzer = value & 0x3fff
		self.mChannel = ((value >> 14) & 0x03) + 1

	#####################################################################
	@staticmethod
	def createInfo(data):
		object0 = ListInfo(data)
		return object0

	#####################################################################
	@staticmethod
	def createInfoList(data):

		listInfo = []
		nbytes = len(data)

		for i in range(0, nbytes, 8):
			temp0 = ListInfo.createInfo(data[i:i+8])
			listInfo.append(temp0)

		return listInfo

